class Mailstore

  attr_accessor :domain_root

  def initialize(domain_root)
    @domain_root = domain_root
  end

  def def get_domains_from_filesystem
    raise NotImplementedError
  end

  def get_accounts_from_filesystem(domains)
    raise NotImplementedError
  end

  def get_domain_path(domain)
    raise NotImplementedError
  end

  def get_account_path(account)
    raise NotImplementedError
  end
end
